Subject: Re: [PATCH 2/5] mt76: connac: move common mac defs in mt76_connac_mac.h

From: Lorenzo Bianconi <[email-masked]>
Date: Mon, 17 Jan 2022 11:55:29 +0100

> On 2022-01-16 13:43, Lorenzo Bianconi wrote:
> > Move mac definitions shared between mt7921 and mt7915 in
> > mt76_connac_mac.h header.
> > 
> > Signed-off-by: Lorenzo Bianconi <[email-masked]>
> > ---
> >   .../wireless/mediatek/mt76/mt76_connac_mac.h  | 292 +++++++++++++++++
> I think this should probably be put in mt76_connac2_mac.h or something like
> that. The definitions are different for 7663/7615 (connac v1), and they will
> probably be different again for newer chipset generations.
> 
> Maybe we should reorganize the code to make it clear which parts are connac2
> specific.
> 
> - Felix
> 

ack. According to irc discussion with Ryder and Sean, I marked this series as
'superseded' in patchwork.
I guess we can keep patch 1/5: "mt76: connac: move mt76_connac_lmac_mapping in
mt76-connac module".

Regards,
Lorenzo